Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.virtual.plugins.context.jar
Class JarContext

    java.lang.Object
      org.jboss.virtual.plugins.context.AbstractVFSContext
          org.jboss.virtual.plugins.context.jar.JarContext

All Implemented Interfaces:
  VFSContext

    public class JarContext

extends AbstractVFSContext

JarContext.

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org, Adrian Brock

Field Summary

Fields inherited from class org.jboss.virtual.plugins.context.AbstractVFSContext
`log`

Constructor Summary
`JarContext(java.net.URL rootURL)` Create a new JarContext.

Method Summary
`protected VirtualFileHandler` | `createVirtualFileHandler(VirtualFileHandler parent, java.net.URL url)` Create a new virtual file handler
`static java.lang.String` | `entryPath(java.lang.String entryName)`
`static java.lang.String` | `extractJarName(java.lang.String urlStr)`
`protected void` | `finalize()`
`VirtualFileHandler` | `getRoot()` Return the root virtual file

Methods inherited from class org.jboss.virtual.plugins.context.AbstractVFSContext
`equals, findChild, getChildren, getOptions, getRootURI, getVFS, hashCode, toString, visit, visit`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JarContext

    public JarContext(java.net.URL rootURL)
               throws java.io.IOException,
                      java.net.URISyntaxException

  Create a new JarContext.

  Parameters:
    `rootURL` - the root url
  Throws:
    `java.io.IOException` - for an error accessing the file system
    `java.net.URISyntaxException` - for an error parsing the URI

Method Detail

### getRoot

    public VirtualFileHandler getRoot()
                               throws java.io.IOException

  Description copied from interface: `VFSContext`
  Return the root virtual file

  Returns:
    the root
  Throws:
    `java.io.IOException` - for any problem accessing the VFS

### createVirtualFileHandler

    protected VirtualFileHandler createVirtualFileHandler(VirtualFileHandler parent,
                                                          java.net.URL url)
                                                   throws java.io.IOException

  Create a new virtual file handler

  Parameters:
    `parent` - the parent
    `url` - the url
  Returns:
    the handler
  Throws:
    `java.io.IOException` - for any error accessing the file system
    `java.lang.IllegalArgumentException` - for a null entry or url

### entryPath

    public static java.lang.String entryPath(java.lang.String entryName)

### extractJarName

    public static java.lang.String extractJarName(java.lang.String urlStr)

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD